def gcd(a, b):
    while b != 0:
        a, b = b, a % b
    return a

def find_primes_between(m, n):
    primes = []
    for num in range(m, n + 1):
        if num > 1:
            is_prime = True
            for i in range(2, int(num ** 0.5) + 1):
                if num % i == 0:
                    is_prime = False
                    break
            if is_prime:
                primes.append(num)
    return primes

def main():
    num1 = int(input("첫 번째 수를 입력하세요: "))
    num2 = int(input("두 번째 수를 입력하세요: "))

    if num1 > num2:
        num1, num2 = num2, num1

    print(f"{num1}과 {num2} 사이의 모든 소수:")
    primes = find_primes_between(num1, num2)
    print(primes)

if __name__ == "__main__":
    main()
